MySQLDataDrivenDBRecordReader (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.db
Class MySQLDataDrivenDBRecordReader<T extends DBWritable>

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<LongWritable,T>
          org.apache.hadoop.mapreduce.lib.db.DBRecordReader<T>
              org.apache.hadoop.mapreduce.lib.db.DataDrivenDBRecordReader<T>
                  org.apache.hadoop.mapreduce.lib.db.MySQLDataDrivenDBRecordReader<T>

All Implemented Interfaces:
  Closeable

    public class MySQLDataDrivenDBRecordReader<T extends DBWritable>

extends DataDrivenDBRecordReader<T>

A RecordReader that reads records from a MySQL table via DataDrivenDBRecordReader

Constructor Summary
`MySQLDataDrivenDBRecordReader(DBInputFormat.DBInputSplit split, Class<T> inputClass, Configuration conf, Connection conn, DBConfiguration dbConfig, String cond, String[] fields, String table)`

Method Summary
`protected ResultSet` | `executeQuery(String query)`

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DataDrivenDBRecordReader
`getSelectQuery`

Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBRecordReader
`close, createValue, getConditions, getConnection, getCurrentKey, getCurrentValue, getDBConf, getFieldNames, getPos, getProgress, getSplit, getStatement, getTableName, initialize, next, nextKeyValue, setStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySQLDataDrivenDBRecordReader

    public MySQLDataDrivenDBRecordReader(DBInputFormat.DBInputSplit split,
                                         Class<T> inputClass,
                                         Configuration conf,
                                         Connection conn,
                                         DBConfiguration dbConfig,
                                         String cond,
                                         String[] fields,
                                         String table)
                                  throws SQLException

Throws:
  `SQLException`

Method Detail

### executeQuery

    protected ResultSet executeQuery(String query)
                              throws SQLException

  Overrides:
    `executeQuery` in class `DBRecordReader<T extends DBWritable>`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation